Subject: Re: [PATCH 3/5] diff: add --default-prefix option

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Mar 2023 10:17:33 -0700

Jeff King <[email-masked]> writes:

> Sure, but how do we send that message? I guess if we leave diff.noprefix
> as it is and add a new format.patch (which preempts diff.noprefix only
> for format-patch), then people will still accidentally send patches
> without prefixes, but at least there is an "out" for the maintainer
> receiving them to say "don't do that; please set format.patch".

I actually was hoping that it would be enough if the message were
"please unset diff.noprefix---in this project the convention is
to use -p1 patches, so get used to seeing a/ and b/ prefixes".

Even if a project wants -p0, the same approach would almost work,
but it would need apply.pValue support to help the receiving end.

But as we already concluded, let's cook the current 5-patch series
in 'next' and see what happens.

Thanks.